---
title: What Ya playing
date: '2022-02-04'
lastmod: '2022-02-04'
tags: ['Pokemon', 'PC Gaming', 'New World', 'Dying Light 2', 'Gaming', 'Daily Blog']
draft: false
summary: The year 2022 just got started and I wanted to talk about some of the games I have been playing. Some of these bleeding over from 2021 but it's whats keeping me busy still.
images: ['/static/images/blog2022/dyinglight2.jpeg']
authors: ['default']
layout: PostLayout
---
![Thanksgiving Plate](/static/images/blog2022/dyinglight2.jpeg)


## New World
I have been playing the MMO New World since it launched in Stepember 2021. I'm a fan of the game and think it has a 
great platform to being a good MMO. Theres some content that is missing at the end game level and I think they are 
working on it. I have logged 518 hours into the game so far and just this past month I have gotten bored a little 
and not to mention theres a bunch of other games that recently came out I want to try.

## Pokemon Legends: Arceus
I havnt been a huge Pokemon fan since the first Pokemon game came out on the Game Boy. But this one is a little more
open world and those are my favorite type of games. I have only just started playing but we will see where it goes. It'
been a while since I have picked up my Nintendo Switch.

## Dying Light 2: Staying Human
I played the first Dying Light game coop with a friend all the way though. I did enjoy the game, got a little lame near
the end of it with the lack of different contant, weapons, etc. I hope this one has more options to keep the game enertaining 
longer. This too I have just started playing as it released Feburary 3.

